%define languageenglazy Portuguese
%define languagecode    pt
%define lc_ctype        pt_PT

%define upstream_version 20150704

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 5
Summary:        %{languageenglazy} hunspell dictionaries
License:        ((LGPLv3 or MPL) and LGPLv2) and (GPLv2 or LGPLv2 or MPLv1.1)
Group:          System/Internationalization
URL:            http://www.broffice.org/verortografico/baixar
Source0:        http://natura.di.uminho.pt/download/sources/Dictionaries/hunspell/hunspell-pt_PT-%{upstream_version}.tar.gz
Source1:        http://extensions.libreoffice.org/extension-center/vero-verificador-ortografico-e-hifenizador-em-portugues-do-brasil/pscreleasefolder.2012-01-04.1563120832/2.1/vero_pt_br_v210aoc.oxt

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-pt
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-pt_BR = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-pt_BR = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-pt_BR < 1.0.3
Provides:       myspell-pt_BR

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.

%prep
%setup -q -n hunspell-pt_PT-%{upstream_version}
unzip -q -o %{SOURCE1}
for i in README_pt_BR.TXT README_pt_PT.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%build

%install
# warning: it is installing pt_PT and pt_BR
install -D -m 0644 -p pt_PT.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p pt_PT.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

install -D -m 0644 -p pt_BR.dic %{buildroot}%{_datadir}/hunspell/pt_BR.dic
install -D -m 0644 -p pt_BR.aff %{buildroot}%{_datadir}/hunspell/pt_BR.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    ln -s ../hunspell/pt_BR.dic pt_BR.dic
    ln -s ../hunspell/pt_BR.aff pt_BR.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_pt_BR.TXT README_pt_PT.txt COPYING
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.20150704.1-5.mga9
+ Revision: 1801407
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20150704.1-4.mga8
+ Revision: 1491302
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20150704.1-3.mga7
+ Revision: 1263043
- Mageia 7 Mass Rebuild

* Fri Feb 19 2016 umeabot <umeabot> 0.20150704.1-2.mga6
+ Revision: 969764
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 zezinho <zezinho> 0.20150704.1-1.mga6
+ Revision: 874693
- new version 20150704

* Wed Oct 15 2014 umeabot <umeabot> 0.20120911.1-5.mga5
+ Revision: 739378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20120911.1-4.mga5
+ Revision: 680292
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20120911.1-3.mga4
+ Revision: 505770
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20120911.1-2.mga3
+ Revision: 353654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 0.20120911.1-1.mga3
+ Revision: 344465
- sync version with Fedora: 0.20120911.1
- update license
- update S0 and S1

* Sat Jun 30 2012 kamil <kamil> 0.20111025.1-6.mga3
+ Revision: 265593
- fix installing pt_BR dicts (mga#6516)

* Tue Mar 20 2012 kamil <kamil> 0.20111025.1-5.mga2
+ Revision: 224806
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.20111025.1-4.mga2
+ Revision: 209053
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 0.20111025.1-3.mga2
+ Revision: 206301
- adapt .spec to the current policies

* Mon Oct 31 2011 zezinho <zezinho> 0.20111025.1-2.mga2
+ Revision: 160498
- new version

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20101214.1-2.mga1
+ Revision: 69034
- imported package hunspell-pt


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20101214-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Caolan McNamara <caolanm@redhat.com> - 0.20101214-1
- latest pt_PT version

* Wed Nov 10 2010 Caolan McNamara <caolanm@redhat.com> - 0.20101104-1
- latest pt_PT version

* Wed Nov 03 2010 Caolan McNamara <caolanm@redhat.com> - 0.20101031-1
- latest pt_PT version

* Sun Oct 31 2010 Caolan McNamara <caolanm@redhat.com> - 0.20101030-1
- latest pt_PT version

* Thu Oct 28 2010 Caolan McNamara <caolanm@redhat.com> - 0.20101027-1
- latest pt_PT version

* Wed Jun 09 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100907-1
- latest pt_BR version

* Wed Jun 09 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100109-2
- Resolves: rhbz#602193 clarify licences

* Sun Jan 10 2010 Caolan McNamara <caolanm@redhat.com> - 0.20100109-1
- latest pt_BR version

* Thu Oct 15 2009 Caolan McNamara <caolanm@redhat.com> - 0.20091013-1
- latest pt_PT version

* Tue Oct 06 2009 Caolan McNamara <caolanm@redhat.com> - 0.20091004-1
- latest pt_BR version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20090702-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090702-2
- tidy spec

* Fri Jul 03 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090702-1
- latest pt_BR version

* Thu Apr 30 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090330-1
- latest pt_BR version

* Tue Mar 10 2009 Caolan McNamara <caolanm@redhat.com> - 0.20090309-1
- latest pt_PT version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081113-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081113-1
- latest pt_PT version

* Tue Jul 08 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080707-1
- latest pt_BR version

* Mon Jul 07 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080705-1
- latest pt_PT version

* Tue Jun 10 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080610-1
- latest version

* Fri Mar 21 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080320-1
- latest version

* Thu Feb 21 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080221-1
- latest version

* Fri Feb 15 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080210-1
- latest version

* Fri Dec 14 2007 Caolan McNamara <caolanm@redhat.com> - 0.20071212-1
- latest version

* Sat Nov 11 2007 Caolan McNamara <caolanm@redhat.com> - 0.20071106-1
- latest version

* Mon Nov 05 2007 Caolan McNamara <caolanm@redhat.com> - 0.20071101-1
- latest version

* Fri Oct 05 2007 Caolan McNamara <caolanm@redhat.com> - 0.20071003-1
- next version

* Tue Oct 02 2007 Caolan McNamara <caolanm@redhat.com> - 0.20071001-1
- next version

* Tue Aug 28 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070823-2
- source file audit shows that pt_BR-2007-04-11.zip silently changed
  content, updating to match

* Thu Aug 23 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070823-1
- latest version

* Fri Aug 03 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070709-2
- clarify licences

* Wed Jul 18 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070709-1
- latest pt_PT version

* Sun May 06 2007 Caolan McNamara <caolanm@redhat.com> - 0.20070411-1
- latest versions

* Wed Feb 14 2007 Caolan McNamara <caolanm@redhat.com> - 0.20061026-2
- disambiguate readmes

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20061026-1
- initial version
